# pandas.Series.str.wrap

Series.str.wrap(width, **kwargs)

  Wrap strings in Series/Index at specified line width.

  This method has the same keyword parameters and defaults as `textwrap.TextWrapper`.

  Parameters
    width int

      Maximum line width.

    expand_tabs bool, optional

      If True, tab characters will be expanded to spaces (default: True).

    replace_whitespace bool, optional

      If True, each whitespace character (as defined by string.whitespace) remaining after tab expansion will be replaced by a single space (default: True).

    drop_whitespace bool, optional

      If True, whitespace that, after wrapping, happens to end up at the beginning or end of a line is dropped (default: True).

    break_long_words bool, optional

      If True, then words longer than width will be broken in order to ensure that no lines are longer than width. If it is false, long words will not be broken, and some lines may be longer than width (default: True).

    break_on_hyphens bool, optional

      If True, wrapping will occur preferably on whitespace and right after hyphens in compound words, as it is customary in English. If false, only whitespaces will be considered as potentially good places for line breaks, but you need to set break_long_words to false if you want truly insecable words (default: True).

  Returns
    Series or Index

  Notes

  Internally, this method uses a `textwrap.TextWrapper` instance with default settings. To achieve behavior matching R’s stringr library str_wrap function, use the arguments:

  - expand_tabs = False

  - replace_whitespace = True

  - drop_whitespace = True

  - break_long_words = False

  - break_on_hyphens = False

  Examples

      >>> s = pd.Series(['line to be wrapped', 'another line to be wrapped'])
      >>> s.str.wrap(12)
      0             line to be\nwrapped
      1    another line\nto be\nwrapped
      dtype: object